List Submissions
Returns a paginated list of submissions for a form.
GET /forms/
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The form ID |
Query Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | number | No | 1 | Page number |
limit | number | No | 50 | Items per page (1–500) |
status | string | No | all | Filter: all, completed, or partial |
startDate | string | No | — | ISO 8601 date, inclusive |
endDate | string | No | — | ISO 8601 date, inclusive |
afterId | string | No | — | Cursor for pagination (overrides page) |
Tip: Use
afterIdfor efficient cursor-based pagination through large datasets.
Response
{
"data": [
{
"id": "sub_001",
"formId": "abc123",
"isCompleted": true,
"submittedAt": "2026-03-18T14:30:00Z",
"responses": {
"email": "user@example.com",
"message": "Great product!"
}
}
],
"questions": [
{
"id": "q1",
"type": "INPUT_EMAIL",
"title": "Email Address"
}
],
"total": 142,
"page": 1,
"limit": 50,
"has_more": true
}Code Examples
curl https://api.makeform.ai/forms/abc123/submissions \
-H "Authorization: Bearer mk_xxxxxxxxxxxxx"# Completed submissions from last week
curl "https://api.makeform.ai/forms/abc123/submissions?status=completed&startDate=2026-03-11T00:00:00Z" \
-H "Authorization: Bearer mk_xxxxxxxxxxxxx"